{
  "files.associations": {
    "*.css": "tailwindcss"
  },
  "json.schemas": [
    {
      "fileMatch": ["/src/content/series/**"],
      "url": "./.astro/collections/series.schema.json"
    },
    {
      "fileMatch": ["/src/content/tag-categories/**"],
      "url": "./.astro/collections/tag-categories.schema.json"
    },
    {
      "fileMatch": ["/src/content/users/**"],
      "url": "./.astro/collections/users.schema.json"
    }
  ],
  "yaml.schemas": {
    "./.astro/collections/series.schema.json": "/src/content/series/**",
    "./.astro/collections/tag-categories.schema.json": "/src/content/tag-categories/**",
    "./.astro/collections/users.schema.json": "/src/content/users/**"
  },
  "[astro]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[javascript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[markdown]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[mdx]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[typescript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "prettier.requireConfig": true,
  "prettier.configPath": ".prettierrc.mjs",
  "editor.formatOnSave": true
}
